<?php

namespace App\Repositories;

use App\Models\ConsumableSettings;
use App\Repositories\BaseRepository;

/**
 * Class ConsumableSettingsRepository
 * @package App\Repositories
 * @version October 19, 2019, 5:34 pm UTC
*/

class ConsumableSettingsRepository extends BaseRepository
{
    /**
     * @var array
     */
    protected $fieldSearchable = [
        
    ];

    /**
     * Return searchable fields
     *
     * @return array
     */
    public function getFieldsSearchable()
    {
        return $this->fieldSearchable;
    }

    /**
     * Configure the Model
     **/
    public function model()
    {
        return ConsumableSettings::class;
    }
}
